# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       pkcs11-helper
Summary:    A library for using PKCS#11 providers
Version:    1.09
Release:    1
Group:      System/Libraries
License:    GPLv2 or BSD
URL:        http://www.opensc-project.org/opensc/wiki/pkcs11-helper
Source0:    http://www.opensc-project.org/files/%{name}/%{name}-%{version}.tar.bz2
Source100:  pkcs11-helper.yaml
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(openssl)


%description
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API.



%package devel
Summary:    Development files for pkcs11-helper
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   openssl-devel
Requires:   automake

%description devel
This package contains header files and documentation necessary for developing
programs using the pkcs11-helper library.



%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --disable-doc

make %{?jobs:-j%jobs}

# >> build post
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post

# Remove libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/


# << install post



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig





%files
%defattr(-,root,root,-)
# >> files
%doc AUTHORS ChangeLog COPYING* README THANKS
%{_libdir}/libpkcs11-helper.so.*
# << files


%files devel
%defattr(-,root,root,-)
# >> files devel
%{_includedir}/pkcs11-helper-1.0/
%{_libdir}/libpkcs11-helper.so
%{_libdir}/pkgconfig/libpkcs11-helper-1.pc
%{_datadir}/aclocal/pkcs11-helper-1.m4
%{_mandir}/man8/pkcs11-helper-1.8*
# << files devel

